#include "..\script_component.hpp"

/*
 * Function: forge_client_dialogue_fnc_selectAI
 * Author: IDSolutions
 *
 * Description:
 * Selects AI for dialogue
 *
 * Arguments:
 * 0: _units - Array of AI units <ARRAY>
 *
 * Return Value:
 * None
 */

params [["_units", [], [[]]]];

{
	_x disableAI "ALL";
	_x switchMove " ";
	[_x] call FUNC(selectDialogue);
	true
} count (_units);