class RscStoreDialog {
    idd = IDD_STOREDIALOG;
    movingEnable = 1;
    enableSimulation = 1;
    
    class controlsBackground {
        class MainBackground: RscText {
            idc = -1;
            x = "0.25 * safezoneW + safezoneX";
            y = "0.125 * safezoneH + safezoneY";
            w = "0.5 * safezoneW";
            h = "0.725 * safezoneH";
            colorBackground[] = {0, 0, 0, 0.7};
        };
        class DialogTitle: RscText {
            idc = IDC_DIALOGNAME;
            text = CSTRING(Name);
            x = "0.25 * safezoneW + safezoneX";
            y = "0.125 * safezoneH + safezoneY";
            w = "0.5 * safezoneW";
            h = "0.0325 * safezoneH";
            colorBackground[] = {0.1, 0.1, 0.1, 1};
        };
    };
    
    class controls {
        class CategoryList: RscCombo {
            idc = IDC_CATEGORYLIST;
            text = CSTRING(Category);
            x = "0.6125 * safezoneW + safezoneX";
            y = "0.2425 * safezoneH + safezoneY";
            w = "0.1125 * safezoneW";
            h = "0.0275 * safezoneH";
            onLBSelChanged = "_this call forge_client_store_fnc_changeFilter";
        };

        class PaymentList: RscCombo {
            idc = IDC_PAYMENTLIST;
            text = CSTRING(Payment);
            x = "0.6125 * safezoneW + safezoneX";
            y = "0.2825 * safezoneH + safezoneY";
            w = "0.1125 * safezoneW";
            h = "0.0275 * safezoneH";
            onLBSelChanged = "_this call forge_client_store_fnc_changePayment";
        };

        class ItemsList: RscListBox {
            idc = IDC_PRODUCTLIST;
            x = "0.2775 * safezoneW + safezoneX";
            y = "0.2425 * safezoneH + safezoneY";
            w = "0.3225 * safezoneW";
            h = "0.5575 * safezoneH";
        };

        class BuyButton: RscButton {
            idc = IDC_BUYBUTTON;
            text = CSTRING(Buy);
            x = "0.6125 * safezoneW + safezoneX";
            y = "0.36 * safezoneH + safezoneY";
            w = "0.1125 * safezoneW";
            h = "0.0275 * safezoneH";
            onButtonClick = "_this call forge_client_store_fnc_selectProduct";
        };

        class CloseButton: RscButton {
            idc = IDC_CLOSEBUTTON;
            text = "X";
            x = "0.7225 * safezoneW + safezoneX";
            y = "0.125 * safezoneH + safezoneY";
            w = "0.0275 * safezoneW";
            h = "0.0325 * safezoneH";
            onButtonClick = "closeDialog 0";
        };
    };
};